> For the complete documentation index, see [llms.txt](https://developers.lfj.gg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.lfj.gg/lfj-dex-api/rewards.md).

# Rewards

## GET /v1/rewards/{chain}/{user\_address}

> Get Proof

```json
{"openapi":"3.0.2","info":{"title":"LFJ Dex API","version":"1.0.0"},"tags":[{"name":"Rewards"}],"servers":[{"url":"https://api.lfj.dev"}],"security":[{"ApiKeyHeader":[]}],"components":{"securitySchemes":{"ApiKeyHeader":{"type":"apiKey","in":"header","name":"x-lfj-api-key"}},"schemas":{"Chain":{"title":"Chain","enum":["avalanche","arbitrum","base","berachain","binance","ethereum","mantle","monad","solana","sonic"],"type":"string","description":"An enumeration."},"HTTPValidationError":{"title":"HTTPValidationError","type":"object","properties":{"detail":{"title":"Detail","type":"array","items":{"$ref":"#/components/schemas/ValidationError"}}}},"ValidationError":{"title":"ValidationError","required":["loc","msg","type"],"type":"object","properties":{"loc":{"title":"Location","type":"array","items":{"anyOf":[{"type":"string"},{"type":"integer"}]}},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}}}}},"paths":{"/v1/rewards/{chain}/{user_address}":{"get":{"tags":["Rewards"],"summary":"Get Proof","operationId":"get_proof_v1_rewards__chain___user_address__get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/Chain"},"name":"chain","in":"path"},{"required":true,"schema":{"title":"User Address","type":"string"},"name":"user_address","in":"path"},{"required":true,"schema":{"title":"Market","type":"string"},"name":"market","in":"query"},{"required":true,"schema":{"title":"Epoch","type":"integer"},"name":"epoch","in":"query"},{"required":true,"schema":{"title":"Token","type":"string"},"name":"token","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"title":"Response Get Proof V1 Rewards  Chain   User Address  Get","type":"array","items":{"type":"string"}}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## POST /v1/rewards/batch-proof/{chain}/{user\_address}

> Get User Proofs

```json
{"openapi":"3.0.2","info":{"title":"LFJ Dex API","version":"1.0.0"},"tags":[{"name":"Rewards"}],"servers":[{"url":"https://api.lfj.dev"}],"security":[{"ApiKeyHeader":[]}],"components":{"securitySchemes":{"ApiKeyHeader":{"type":"apiKey","in":"header","name":"x-lfj-api-key"}},"schemas":{"Chain":{"title":"Chain","enum":["avalanche","arbitrum","base","berachain","binance","ethereum","mantle","monad","solana","sonic"],"type":"string","description":"An enumeration."},"GetProofBatch":{"title":"GetProofBatch","required":["batch"],"type":"object","properties":{"batch":{"title":"Batch","type":"array","items":{"$ref":"#/components/schemas/GetProof"}}}},"GetProof":{"title":"GetProof","required":["market","epoch","token"],"type":"object","properties":{"market":{"title":"Market","type":"string"},"epoch":{"title":"Epoch","type":"integer"},"token":{"title":"Token","type":"string"}}},"HTTPValidationError":{"title":"HTTPValidationError","type":"object","properties":{"detail":{"title":"Detail","type":"array","items":{"$ref":"#/components/schemas/ValidationError"}}}},"ValidationError":{"title":"ValidationError","required":["loc","msg","type"],"type":"object","properties":{"loc":{"title":"Location","type":"array","items":{"anyOf":[{"type":"string"},{"type":"integer"}]}},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}}}}},"paths":{"/v1/rewards/batch-proof/{chain}/{user_address}":{"post":{"tags":["Rewards"],"summary":"Get User Proofs","operationId":"get_user_proofs_v1_rewards_batch_proof__chain___user_address__post","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/Chain"},"name":"chain","in":"path"},{"required":true,"schema":{"title":"User Address","type":"string"},"name":"user_address","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProofBatch"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"title":"Response Get User Proofs V1 Rewards Batch Proof  Chain   User Address  Post","type":"array","items":{"type":"array","items":{"type":"string"}}}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## GET /v1/rewards/history/{chain}/{user\_address}

> Get User Reward History

```json
{"openapi":"3.0.2","info":{"title":"LFJ Dex API","version":"1.0.0"},"tags":[{"name":"Rewards"}],"servers":[{"url":"https://api.lfj.dev"}],"security":[{"ApiKeyHeader":[]}],"components":{"securitySchemes":{"ApiKeyHeader":{"type":"apiKey","in":"header","name":"x-lfj-api-key"}},"schemas":{"Chain":{"title":"Chain","enum":["avalanche","arbitrum","base","berachain","binance","ethereum","mantle","monad","solana","sonic"],"type":"string","description":"An enumeration."},"GetUserRewardHistoryResponse":{"title":"GetUserRewardHistoryResponse","required":["epoch","epochStart","epochEnd","progress","rewards"],"type":"object","properties":{"epoch":{"title":"Epoch","type":"integer"},"epochStart":{"title":"Epochstart","type":"integer"},"epochEnd":{"title":"Epochend","type":"integer"},"progress":{"title":"Progress","type":"number"},"rewards":{"title":"Rewards","type":"array","items":{"$ref":"#/components/schemas/GetLBPairReward"}}}},"GetLBPairReward":{"title":"GetLBPairReward","required":["amount","tokenAddress"],"type":"object","properties":{"amount":{"title":"Amount","type":"string"},"tokenAddress":{"title":"Tokenaddress","type":"string"}}},"HTTPValidationError":{"title":"HTTPValidationError","type":"object","properties":{"detail":{"title":"Detail","type":"array","items":{"$ref":"#/components/schemas/ValidationError"}}}},"ValidationError":{"title":"ValidationError","required":["loc","msg","type"],"type":"object","properties":{"loc":{"title":"Location","type":"array","items":{"anyOf":[{"type":"string"},{"type":"integer"}]}},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}}}}},"paths":{"/v1/rewards/history/{chain}/{user_address}":{"get":{"tags":["Rewards"],"summary":"Get User Reward History","operationId":"get_user_reward_history_v1_rewards_history__chain___user_address__get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/Chain"},"name":"chain","in":"path"},{"required":true,"schema":{"title":"User Address","type":"string"},"name":"user_address","in":"path"},{"required":true,"schema":{"title":"Market","type":"string"},"name":"market","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"title":"Response Get User Reward History V1 Rewards History  Chain   User Address  Get","type":"array","items":{"$ref":"#/components/schemas/GetUserRewardHistoryResponse"}}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## GET /v1/rewards/claimable/{chain}/{user\_address}

> Get User Claimable Rewards

```json
{"openapi":"3.0.2","info":{"title":"LFJ Dex API","version":"1.0.0"},"tags":[{"name":"Rewards"}],"servers":[{"url":"https://api.lfj.dev"}],"security":[{"ApiKeyHeader":[]}],"components":{"securitySchemes":{"ApiKeyHeader":{"type":"apiKey","in":"header","name":"x-lfj-api-key"}},"schemas":{"Chain":{"title":"Chain","enum":["avalanche","arbitrum","base","berachain","binance","ethereum","mantle","monad","solana","sonic"],"type":"string","description":"An enumeration."},"ClaimableReward":{"title":"ClaimableReward","required":["market","epoch","claimableRewards"],"type":"object","properties":{"market":{"title":"Market","type":"string"},"epoch":{"title":"Epoch","type":"integer"},"claimableRewards":{"title":"Claimablerewards","type":"array","items":{"$ref":"#/components/schemas/GetLBPairReward"}}}},"GetLBPairReward":{"title":"GetLBPairReward","required":["amount","tokenAddress"],"type":"object","properties":{"amount":{"title":"Amount","type":"string"},"tokenAddress":{"title":"Tokenaddress","type":"string"}}},"HTTPValidationError":{"title":"HTTPValidationError","type":"object","properties":{"detail":{"title":"Detail","type":"array","items":{"$ref":"#/components/schemas/ValidationError"}}}},"ValidationError":{"title":"ValidationError","required":["loc","msg","type"],"type":"object","properties":{"loc":{"title":"Location","type":"array","items":{"anyOf":[{"type":"string"},{"type":"integer"}]}},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}}}}},"paths":{"/v1/rewards/claimable/{chain}/{user_address}":{"get":{"tags":["Rewards"],"summary":"Get User Claimable Rewards","operationId":"get_user_claimable_rewards_v1_rewards_claimable__chain___user_address__get","parameters":[{"required":true,"schema":{"$ref":"#/components/schemas/Chain"},"name":"chain","in":"path"},{"required":true,"schema":{"title":"User Address","type":"string"},"name":"user_address","in":"path"},{"required":true,"schema":{"title":"Market","type":"string"},"name":"market","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"title":"Response Get User Claimable Rewards V1 Rewards Claimable  Chain   User Address  Get","type":"array","items":{"$ref":"#/components/schemas/ClaimableReward"}}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.lfj.gg/lfj-dex-api/rewards.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
